# Get Vessels in port

> Ports Intelligence API, GET /ports/{unlocode}/vessels-in-port: Retrieve a list of vessels currently in the specified port.

::callout{type="warning"}
**Beta.** The Ports Intelligence API is in beta (version `1.0.0-beta`): its contract may still change.
::

`GET /ports/{unlocode}/vessels-in-port` on the Ports Intelligence API. Base URL: `https://api.sinay.ai/ports-intelligence/api/v1`.

Retrieve a list of vessels currently in the specified port

## Path parameters

::api-parameters{location="path"}
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `unlocode` | string | Yes | UN/LOCODE of the port. Example: `FRLEH`. |
::

## Responses

::api-response
---
status: "200"
description: Successful response
---

Body: `application/json`, array of object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].name` | string, nullable | No | Vessel name. |
| `[].imo` | string, nullable | No | International Maritime Organization number. |
| `[].mmsi` | string | No | Maritime Mobile Service Identity. |
| `[].shipType` | string, nullable | No | Type of ship. |
| `[].id` | string | No | Veesel's id. |

Example response body:

```json
[
  {
    "name": "CMA CGM COLUMBA",
    "imo": 9410789,
    "mmsi": 215249000,
    "shipType": "Cargo",
    "id": "c038b31f-ad40-3ef1-93aa-a6151330d833"
  }
]
```

::

::api-response
---
status: "401"
description: Authentication information is missing or invalid
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | string | No | Error message. |
| `code` | string | No | Error code. |
| `timestamp` | string (date-time) | No | Error timestamp. |

Example response body:

```json
{
  "error": "Unauthorized",
  "code": "AUTH_001",
  "timestamp": "2025-07-17T10:30:00Z"
}
```

::

::api-response
---
status: "404"
description: The requested resource was not found
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | string | No | Error message. |
| `code` | string | No | Error code. |
| `timestamp` | string (date-time) | No | Error timestamp. |

Example response body:

```json
{
  "error": "Resource not found",
  "code": "NOT_FOUND",
  "timestamp": "2025-07-17T10:30:00Z"
}
```

::

::api-response
---
status: "500"
description: Internal server error
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | string | No | Error message. |
| `code` | string | No | Error code. |
| `timestamp` | string (date-time) | No | Error timestamp. |

Example response body:

```json
{
  "error": "Internal server error",
  "code": "INTERNAL_ERROR",
  "timestamp": "2025-07-17T10:30:00Z"
}
```

::
